using System;
using System.IO;
using SQLite;

namespace TourDataManager {
    
    public class Stock
    {
        [PrimaryKey, AutoIncrement]
        public int Id { get; set; }
        public string Symbol { get; set; }
    }

    public class Valuation
    {
        [PrimaryKey, AutoIncrement]
        public int Id { get; set; }
        [Indexed]
        public int StockId { get; set; }
        public DateTime Time { get; set; }
        public decimal Price { get; set; }
    }
    
    public class Db {
        public Db(string rootPath){
            
            // Get an absolute path to the database file
            var databasePath = Path.Combine(rootPath,"sandbox.sqlite");

            var db = new SQLiteConnection(databasePath);
            db.CreateTable<Stock>();
            db.CreateTable<Valuation>();
            
        }
    }
}